.. Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed
   with this work for additional information regarding copyright
   ownership.  The ASF licenses this file to you under the Apache
   License, Version 2.0 (the "License"); you may not use this file
   except in compliance with the License.  You may obtain a copy of
   the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
   implied.  See the License for the specific language governing
   permissions and limitations under the License.

.. include:: ../../../common.defs

TSOverridableConfigKey
**********************

Synopsis
========

`#include <ts/apidefs.h>`

.. c:type:: TSOverridableConfigKey

Enum typedef.

Enumeration Members
===================

.. c:type:: TSOverridableConfigKey

   .. c:macro:: TS_CONFIG_URL_REMAP_PRISTINE_HOST_HDR
   .. c:macro:: TS_CONFIG_HTTP_CHUNKING_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_NEGATIVE_CACHING_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_NEGATIVE_CACHING_LIFETIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_WHEN_TO_REVALIDATE
   .. c:macro:: TS_CONFIG_HTTP_KEEP_ALIVE_ENABLED_IN
   .. c:macro:: TS_CONFIG_HTTP_KEEP_ALIVE_ENABLED_OUT
   .. c:macro:: TS_CONFIG_HTTP_KEEP_ALIVE_POST_OUT
   .. c:macro:: TS_CONFIG_HTTP_SERVER_SESSION_SHARING_MATCH
   .. c:macro:: TS_CONFIG_NET_SOCK_RECV_BUFFER_SIZE_OUT
   .. c:macro:: TS_CONFIG_NET_SOCK_SEND_BUFFER_SIZE_OUT
   .. c:macro:: TS_CONFIG_NET_SOCK_OPTION_FLAG_OUT
   .. c:macro:: TS_CONFIG_HTTP_FORWARD_PROXY_AUTH_TO_PARENT
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_REMOVE_FROM
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_REMOVE_REFERER
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_REMOVE_USER_AGENT
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_REMOVE_COOKIE
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_REMOVE_CLIENT_IP
   .. c:macro:: TS_CONFIG_HTTP_ANONYMIZE_INSERT_CLIENT_IP
   .. c:macro:: TS_CONFIG_HTTP_RESPONSE_SERVER_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_INSERT_SQUID_X_FORWARDED_FOR
   .. c:macro:: TS_CONFIG_HTTP_SERVER_TCP_INIT_CWND
   .. c:macro:: TS_CONFIG_HTTP_SEND_HTTP11_REQUESTS
   .. c:macro:: TS_CONFIG_HTTP_CACHE_HTTP
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_CLIENT_NO_CACHE
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_CLIENT_CC_MAX_AGE
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IMS_ON_CLIENT_NO_CACHE
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_SERVER_NO_CACHE
   .. c:macro:: TS_CONFIG_HTTP_CACHE_CACHE_RESPONSES_TO_COOKIES
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_AUTHENTICATION
   .. c:macro:: TS_CONFIG_HTTP_CACHE_CACHE_URLS_THAT_LOOK_DYNAMIC
   .. c:macro:: TS_CONFIG_HTTP_CACHE_REQUIRED_HEADERS
   .. c:macro:: TS_CONFIG_HTTP_INSERT_REQUEST_VIA_STR
   .. c:macro:: TS_CONFIG_HTTP_INSERT_RESPONSE_VIA_STR
   .. c:macro:: TS_CONFIG_HTTP_CACHE_HEURISTIC_MIN_LIFETIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_HEURISTIC_MAX_LIFETIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_GUARANTEED_MIN_LIFETIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_GUARANTEED_MAX_LIFETIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_MAX_STALE_AGE
   .. c:macro:: TS_CONFIG_HTTP_KEEP_ALIVE_NO_ACTIVITY_TIMEOUT_IN
   .. c:macro:: TS_CONFIG_HTTP_KEEP_ALIVE_NO_ACTIVITY_TIMEOUT_OUT
   .. c:macro:: TS_CONFIG_HTTP_TRANSACTION_NO_ACTIVITY_TIMEOUT_IN
   .. c:macro:: TS_CONFIG_HTTP_TRANSACTION_NO_ACTIVITY_TIMEOUT_OUT
   .. c:macro:: TS_CONFIG_HTTP_TRANSACTION_ACTIVE_TIMEOUT_OUT
   .. c:macro:: TS_CONFIG_HTTP_ORIGIN_MAX_CONNECTIONS
   .. c:macro:: TS_CONFIG_HTTP_CONNECT_ATTEMPTS_MAX_RETRIES
   .. c:macro:: TS_CONFIG_HTTP_CONNECT_ATTEMPTS_MAX_RETRIES_DEAD_SERVER
   .. c:macro:: TS_CONFIG_HTTP_CONNECT_ATTEMPTS_RR_RETRIES
   .. c:macro:: TS_CONFIG_HTTP_CONNECT_ATTEMPTS_TIMEOUT
   .. c:macro:: TS_CONFIG_HTTP_POST_CONNECT_ATTEMPTS_TIMEOUT
   .. c:macro:: TS_CONFIG_HTTP_DOWN_SERVER_CACHE_TIME
   .. c:macro:: TS_CONFIG_HTTP_DOWN_SERVER_ABORT_THRESHOLD
   .. c:macro:: TS_CONFIG_HTTP_DOC_IN_CACHE_SKIP_DNS
   .. c:macro:: TS_CONFIG_HTTP_BACKGROUND_FILL_ACTIVE_TIMEOUT
   .. c:macro:: TS_CONFIG_HTTP_RESPONSE_SERVER_STR
   .. c:macro:: TS_CONFIG_HTTP_CACHE_HEURISTIC_LM_FACTOR
   .. c:macro:: TS_CONFIG_HTTP_BACKGROUND_FILL_COMPLETED_THRESHOLD
   .. c:macro:: TS_CONFIG_NET_SOCK_PACKET_MARK_OUT
   .. c:macro:: TS_CONFIG_NET_SOCK_PACKET_TOS_OUT
   .. c:macro:: TS_CONFIG_HTTP_INSERT_AGE_IN_RESPONSE
   .. c:macro:: TS_CONFIG_HTTP_CHUNKING_SIZE
   .. c:macro:: TS_CONFIG_HTTP_DROP_CHUNKED_TRAILERS
   .. c:macro:: TS_CONFIG_HTTP_FLOW_CONTROL_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_FLOW_CONTROL_LOW_WATER_MARK
   .. c:macro:: TS_CONFIG_HTTP_FLOW_CONTROL_HIGH_WATER_MARK
   .. c:macro:: TS_CONFIG_HTTP_CACHE_RANGE_LOOKUP
   .. c:macro:: TS_CONFIG_HTTP_DEFAULT_BUFFER_SIZE
   .. c:macro:: TS_CONFIG_HTTP_DEFAULT_BUFFER_WATER_MARK
   .. c:macro:: TS_CONFIG_HTTP_REQUEST_HEADER_MAX_SIZE
   .. c:macro:: TS_CONFIG_HTTP_RESPONSE_HEADER_MAX_SIZE
   .. c:macro:: TS_CONFIG_HTTP_NEGATIVE_REVALIDATING_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_NEGATIVE_REVALIDATING_LIFETIME
   .. c:macro:: TS_CONFIG_SSL_HSTS_MAX_AGE
   .. c:macro:: TS_CONFIG_SSL_HSTS_INCLUDE_SUBDOMAINS
   .. c:macro:: TS_CONFIG_HTTP_CACHE_OPEN_READ_RETRY_TIME
   .. c:macro:: TS_CONFIG_HTTP_CACHE_MAX_OPEN_READ_RETRIES
   .. c:macro:: TS_CONFIG_HTTP_CACHE_RANGE_WRITE
   .. c:macro:: TS_CONFIG_HTTP_POST_CHECK_CONTENT_LENGTH_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_GLOBAL_USER_AGENT_HEADER
   .. c:macro:: TS_CONFIG_HTTP_AUTH_SERVER_SESSION_PRIVATE
   .. c:macro:: TS_CONFIG_HTTP_SLOW_LOG_THRESHOLD
   .. c:macro:: TS_CONFIG_HTTP_CACHE_GENERATION
   .. c:macro:: TS_CONFIG_BODY_FACTORY_TEMPLATE_BASE
   .. c:macro:: TS_CONFIG_HTTP_CACHE_OPEN_WRITE_FAIL_ACTION
   .. c:macro:: TS_CONFIG_HTTP_NUMBER_OF_REDIRECTIONS
   .. c:macro:: TS_CONFIG_HTTP_CACHE_MAX_OPEN_WRITE_RETRIES
   .. c:macro:: TS_CONFIG_HTTP_REDIRECT_USE_ORIG_CACHE_KEY
   .. c:macro:: TS_CONFIG_HTTP_ATTACH_SERVER_SESSION_TO_CLIENT
   .. c:macro:: TS_CONFIG_HTTP_ORIGIN_MAX_CONNECTIONS_QUEUE
   .. c:macro:: TS_CONFIG_WEBSOCKET_NO_ACTIVITY_TIMEOUT
   .. c:macro:: TS_CONFIG_WEBSOCKET_ACTIVE_TIMEOUT
   .. c:macro:: TS_CONFIG_HTTP_UNCACHEABLE_REQUESTS_BYPASS_PARENT
   .. c:macro:: TS_CONFIG_HTTP_PARENT_PROXY_TOTAL_CONNECT_ATTEMPTS
   .. c:macro:: TS_CONFIG_HTTP_TRANSACTION_ACTIVE_TIMEOUT_IN
   .. c:macro:: TS_CONFIG_SRV_ENABLED
   .. c:macro:: TS_CONFIG_HTTP_FORWARD_CONNECT_METHOD
   .. c:macro:: TS_CONFIG_SSL_CERT_FILENAME
   .. c:macro:: TS_CONFIG_SSL_CERT_FILEPATH
   .. c:macro:: TS_CONFIG_PARENT_FAILURES_UPDATE_HOSTDB
   .. c:macro:: TS_CONFIG_HTTP_CACHE_ENABLE_DEFAULT_VARY_HEADER
   .. c:macro:: TS_CONFIG_HTTP_CACHE_VARY_DEFAULT_TEXT
   .. c:macro:: TS_CONFIG_HTTP_CACHE_VARY_DEFAULT_IMAGES
   .. c:macro:: TS_CONFIG_HTTP_CACHE_VARY_DEFAULT_OTHER
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_ACCEPT_MISMATCH
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_ACCEPT_LANGUAGE_MISMATCH
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_ACCEPT_ENCODING_MISMATCH
   .. c:macro:: TS_CONFIG_HTTP_CACHE_IGNORE_ACCEPT_CHARSET_MISMATCH
   .. c:macro:: TS_CONFIG_HTTP_PARENT_PROXY_FAIL_THRESHOLD
   .. c:macro:: TS_CONFIG_HTTP_PARENT_PROXY_RETRY_TIME
   .. c:macro:: TS_CONFIG_HTTP_PER_PARENT_CONNECT_ATTEMPTS
   .. c:macro:: TS_CONFIG_HTTP_PARENT_CONNECT_ATTEMPT_TIMEOUT
   .. c:macro:: TS_CONFIG_HTTP_NORMALIZE_AE
   .. c:macro:: TS_CONFIG_HTTP_INSERT_FORWARDED
   .. c:macro:: TS_CONFIG_HTTP_ALLOW_MULTI_RANGE
   .. c:macro:: TS_CONFIG_HTTP_ALLOW_HALF_OPEN

Description
===========
